---@meta
---
--- C_CurrencyInfo is a namespace for functions related to currency information.
---
--- @class C_CurrencyInfo
C_CurrencyInfo = {
	--- @param currencyType number
	--- @return table
	--- Returns information about a currency type.
	GetCurrencyInfo = function(currencyType) end,

	--- @param currencyID number
	--- @return table
	--- Returns information about a currency link.
	GetCurrencyLink = function(currencyID) end,

	--- @param currencyID number
	--- @return table
	--- Returns listing information about a currency.
	GetCurrencyListInfo = function(currencyID) end,

	--- @param currencyID number
	--- @return table
	--- Returns the categories for a currency.
	GetCurrencyListCategories = function(currencyID) end,

	--- @return number
	--- Returns the number of currencies.
	GetCurrencyListSize = function() end,

	--- @param currencyID number
	--- @return boolean
	--- Returns whether a currency is unspent.
	IsCurrencyUnspent = function(currencyID) end,

	--- @param currencyID number
	--- @return boolean
	--- Returns whether a currency is capped.
	IsCurrencyCapped = function(currencyID) end,

	--- @param currencyID number
	--- @return boolean
	--- Returns whether a currency is tradeable.
	IsCurrencyTradeable = function(currencyID) end,

	--- @param currencyID number
	--- @return number
	--- Returns the maximum quantity of a currency.
	GetCurrencyMaxQuantity = function(currencyID) end,

	--- @param currencyID number
	--- @return number
	--- Returns the quantity of a currency.
	GetCurrencyQuantity = function(currencyID) end,

	--- @param currencyID number
	--- @return number
	--- Returns the quality of a currency.
	GetCurrencyQuality = function(currencyID) end,

	--- @param currencyID number
	--- @return string
	--- Returns the name of a currency.
	GetCurrencyName = function(currencyID) end,

	--- @param currencyID number
	--- @return string
	--- Returns the description of a currency.
	GetCurrencyDescription = function(currencyID) end,

	--- @param currencyID number
	--- @return string
	--- Returns the icon of a currency.
	GetCurrencyIcon = function(currencyID) end,

	--- @param currencyID number
	--- @return boolean
	--- Returns whether a currency is tracked.
	IsCurrencyTracked = function(currencyID) end,

	--- @param currencyID number
	--- @param track boolean
	--- @return nil
	--- Sets whether a currency is tracked.
	SetCurrencyTracked = function(currencyID, track) end,

	--- @param currencyID number
	--- @param backpack boolean
	--- @param bank boolean
	--- @param reagentBank boolean
	--- @return number
	--- Returns the total quantity of a currency.
	GetTotalCurrencyQuantity = function(currencyID, backpack, bank, reagentBank) end,

	--- @param currencyID number
	--- @return boolean
	--- Returns whether a currency is discovered.
	IsCurrencyDiscovered = function(currencyID) end,
}
